UncreatedSystemException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode, class: UncreatedSystemException

Package org.apache.geode

# Class UncreatedSystemException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.NoSystemException
org.apache.geode.UncreatedSystemException

All Implemented Interfaces:
  `Serializable`

public class UncreatedSystemException extends NoSystemException
An `UncreatedSystemException` is thrown when the specified locator's directory or configuration file can not be found.

The most likely reasons for this are:

- The wrong locator directory was given.
- The locator was deleted or never created.

As of GemFire 5.0 this exception should be named UncreatedLocatorException.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UncreatedSystemException(String message)`
  Creates a new `UncreatedSystemException`.
  `UncreatedSystemException(String message, Throwable cause)`
  Creates a new `UncreatedSystemException` with the given message and cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UncreatedSystemException

    public UncreatedSystemException(String message)
    Creates a new `UncreatedSystemException`.
    Parameters:
      `message` - the detail message

  - ### UncreatedSystemException

    public UncreatedSystemException(String message, Throwable cause)
    Creates a new `UncreatedSystemException` with the given message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause